### Function

# Gtk TextCharPredicate

#### Declaration

    gboolean
    TextCharPredicate (
      gunichar ch,
      gpointer user_data
    )

#### Description [src]

The predicate function used by gtk_text_iter_forward_find_char() and gtk_text_iter_backward_find_char().

#### Parameters

`ch` | `gunichar`
| A Unicode code point.
`user_data` | `gpointer`
| Data passed to the callback.

#### Return value

Returns: | `gboolean`
| `TRUE` if the predicate is satisfied, and the iteration should stop, and `FALSE` otherwise.